unit Chanlang;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ExtCtrls, Menus, DB, DBTables, Grids,
  DBGrids, Language, DBCtrls, Buttons, TabNotBk;
type
  TForm1 = class(TForm)
    PopupMenu1: TPopupMenu;
    Language1: TMenuItem;
    MainMenu1: TMainMenu;
    Customer1: TMenuItem;
    Customer2: TMenuItem;
    Customer3: TMenuItem;
    Company1: TMenuItem;
    Private1: TMenuItem;
    Much1: TMenuItem;
    Table1: TTable;
    DataSource1: TDataSource;
    Table1ID: TStringField;
    Table1NAME: TStringField;
    Table1TYPE: TStringField;
    Panel2: TPanel;
    Label1: TLabel;
    Panel1: TPanel;
    RadioButton1: TRadioButton;
    CheckBox1: TCheckBox;
    Header1: THeader;
    FontDialog1: TFontDialog;
    GroupBox1: TGroupBox;
    Label2: TLabel;
    RadioButton2: TRadioButton;
    DBCheckBox1: TDBCheckBox;
    BitBtn1: TBitBtn;
    TabbedNotebook1: TTabbedNotebook;
    DBGrid1: TDBGrid;
    LanguageDialog1: TLanguageDialog;
    N1: TMenuItem;
    Help1: TMenuItem;
    Contents1: TMenuItem;
    procedure FormCreate(Sender: TObject);
    procedure Language1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure PopupMenu1Popup(Sender: TObject);
    procedure Contents1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  PopupOwner: TControl;
  I:Integer;
implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  {Your database when Paradox-type !}
  LanguageDialog1.Database := ExtractFilePath(Application.ExeName);
  Table1.DatabaseName := ExtractFilePath(Application.ExeName);
  Table1.TableName := 'ACCESSOR';

  {Your database alias when Interbase-type ! In this case 'mystrings'}
  {LanguageDialog1.Database := 'mystrings';
  Table1.DatabaseName := 'mystrings';
  Table1.TableName := 'ACCESSORIES';}

  {Table1 is included only because to show how table field
  names can also be translated !}
  Table1.Active := True;

  {Name of the table where strings are !}
  LanguageDialog1.Table := 'STRINGS';

  {Language dialog is not shown first time when form is created}
  LanguageDialog1.ShowDialog := False;

  {Native language in which programmer has saved projects!}
  LanguageDialog1.NativeLanguage := 'ENG';

  {Initial language !}
  {possible ones in demo ENG, FIN, SWE }
  LanguageDialog1.Language := 'SWE';

  with Header1 do
    for I := 0 to Sections.Count-1 do
    SectionWidth[I] := 60;
end;

procedure TForm1.Language1Click(Sender: TObject);
begin
  LanguageDialog1.ShowDialog := True;
  LanguageDialog1.Execute(PopupOwner);
end;

procedure TForm1.FormShow(Sender: TObject);
{ Language component is called first time here because demonstration
shows how You can translate table field names ! }
begin
  LanguageDialog1.Execute(Self);
end;

procedure TForm1.PopupMenu1Popup(Sender: TObject);
{Determine which component the user last clicked that displayed the pop-up menu }
{PopupComponent property returns TComponent which is then changed to TControl type reference }
begin
  PopupOwner := TControl(PopupMenu1.PopupComponent);
end;

procedure TForm1.Contents1Click(Sender: TObject);
begin
  Application.HelpCommand(HELP_CONTENTS, 0);
end;

end.
